%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		bitfrost
Version:	1.0.19
Release:	8%{?dist}
Summary:	OLPC bitfrost security modules

Group:		System Environment/Base
License:	LGPLv2+ and GPLv2+ and Public Domain
URL:		http://wiki.laptop.org/go/Bitfrost
Source0:	http://dev.laptop.org/pub/source/bitfrost/%{name}-%{version}.tar.bz2

BuildRequires:	python-devel, Pyrex


%description
A collection of Python modules which implement parts of Bitfrost, the
OLPC security platform.


%package sugar
Summary:	OLPC bitfrost security modules
Group:		System Environment/Base
License:	LGPLv2+ and GPLv2+ and Public Domain
Requires: 	bitfrost, sugar-toolkit-gtk3


%description sugar
Bitfrost python modules which interact with Sugar components.


%prep
%setup -q


%build
make OPTFLAGS="$RPM_OPT_FLAGS"
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --install-lib "%{python_sitearch}" --root $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT/%{python_sitearch}/bitfrost/util
%{__install} -m 755 bitfrost/util/{pysign.so,pyverify.so} $RPM_BUILD_ROOT/%{python_sitearch}/bitfrost/util/


%files
%defattr(-,root,root,-)
%doc
%{python_sitearch}/bitfrost-%{version}-*.egg-info
%dir %{python_sitearch}/bitfrost
%{python_sitearch}/bitfrost/__init__.py*
%{python_sitearch}/bitfrost/contents
%{python_sitearch}/bitfrost/leases
%{python_sitearch}/bitfrost/util
%dir %{python_sitearch}/bitfrost/update
%{python_sitearch}/bitfrost/update/__init__.py*
%{python_sitearch}/bitfrost/update/irsync.py*
%{python_sitearch}/bitfrost/update/setup.py*


%files sugar
%defattr(-,root,root,-)
%{python_sitearch}/bitfrost/update/actinfo.py*
%{python_sitearch}/bitfrost/update/actutils.py*
%{python_sitearch}/bitfrost/update/microformat.py*


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.19-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.19-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.19-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.19-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr  8 2013 Daniel Drake <dsd@laptop.org> - 1.0.19-1
- Don't write incompatible xattr attribute in contents manifest

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec  9 2012 Daniel Drake <dsd@laptop.org> - 1.0.18-1
- Fix use of removed verify_lease API

* Sat Oct 13 2012 Daniel Drake <dsd@laptop.org> - 1.0.17-1
- Port to sugar-toolkit-gtk3

* Thu Sep  6 2012 Daniel Drake <dsd@laptop.org> - 1.0.16-1
- New version

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb  3 2012 Daniel Drake <dsd@laptop.rog> - 1.0.15-3
- Create bitfrost-sugar subpackage with components that interact with Sugar
- Reduces dependencies for servers that just need core bitfrost

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 31 2011 Daniel Drake <dsd@laptop.ogr> - 1.0.15-1
- /proc/device-tree support for XO-1.75

* Mon May 30 2011 Daniel Drake <dsd@laptop.org> - 1.0.14-1
- Fix HTTP etag handling

* Fri May 20 2011 Daniel Drake <dsd@laptop.org> - 1.0.13-1
- Misc improvements to update module

* Sat May  7 2011 Daniel Drake <dsd@laptop.org> - 1.0.12-1
- Fix import of OLPC key data in global scope

* Sat May  7 2011 Daniel Drake <dsd@laptop.org> - 1.0.11-1
- Fix XO-1 G1G1 upgrades, support Sugar's dotted activity versioning

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 16 2010 Daniel Drake <dsd@laptop.org> - 1.0.10-1
- New version; use activity registry to install/update activities

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul  6 2010 Daniel Drake <dsd@laptop.org> 1.0.9-1
- fix code that relied upon assertions that are not always present

* Thu May  6 2010 Daniel Drake <dsd@laptop.org> 1.0.8-1
- powerd support

* Tue Jan  5 2010 Daniel Drake <dsd@laptop.org> 1.0.6-1
- Fix json parsing when Python optimizations are enabled

* Sun Jan  3 2010 Daniel Drake <dsd@laptop.org> 1.0.5-1
- Version bump

* Thu Nov 12 2009 Daniel Drake <dsd@laptop.org> 1.0.4-1
- Version bump

* Thu Nov 12 2009 Daniel Drake <dsd@laptop.org> 1.0.3-1
- Version bump

* Fri Nov  6 2009 Daniel Drake <dsd@laptop.org> 1.0.2-1
- Version bump

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Daniel Drake <dsd@laptop.org> 1.0.1-1
- Initial import

